/// <reference types="node" />
import { BlockData } from "univ-conv";
import { Modification } from "./core";
import type { Readable } from "stream";
declare type createModifiedReadableStreamType = (src: ReadableStream<Uint8Array>, ...mods: Modification[]) => ReadableStream;
interface ModifiedReadableType extends Readable {
    new (src: Readable, ...mods: Modification[]): ModifiedReadableType;
}
export declare let createModifiedReadableStream: createModifiedReadableStreamType;
export declare let ModifiedReadable: ModifiedReadableType;
export declare function modify(src: BlockData, ...mods: Modification[]): Promise<Uint8Array>;
export {};
//# sourceMappingURL=mods.d.ts.map