import { Stats } from "./core";
export declare const INVALID_CHARS: RegExp;
export declare function getPathParts(path: string): string[];
export declare function getParentPath(path: string): string;
export declare function getName(path: string): string;
export declare function joinPaths(path1: string, path2: string, leadingSlash?: boolean): string;
export declare function normalizePath(path: string, leadingSlash?: boolean): string;
export declare function isIllegalFileName(name: string): boolean;
export declare function createMetadata(props: Stats): {
    [key: string]: string;
};
export declare function toHex(u8: Uint8Array): string;
//# sourceMappingURL=util.d.ts.map