"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_BUFFER_SIZE = exports.NoParentAction = exports.ExistsAction = exports.EntryType = exports.NotExistAction = exports.EXCLUDE_PROP_NAMES = exports.DEFAULT_STATS_KEYS = void 0;
exports.DEFAULT_STATS_KEYS = [
    "accessed",
    "created",
    "modified",
    "size",
    "etag",
];
exports.EXCLUDE_PROP_NAMES = [
    "accessed",
    "created",
    "modified",
    "size",
    "etag",
];
var NotExistAction;
(function (NotExistAction) {
    NotExistAction["Error"] = "error";
    NotExistAction["Ignore"] = "ignore";
})(NotExistAction = exports.NotExistAction || (exports.NotExistAction = {}));
var EntryType;
(function (EntryType) {
    EntryType["File"] = "file";
    EntryType["Directory"] = "directory";
})(EntryType = exports.EntryType || (exports.EntryType = {}));
var ExistsAction;
(function (ExistsAction) {
    ExistsAction["Error"] = "error";
    ExistsAction["Skip"] = "skip";
    ExistsAction["Overwrite"] = "overwrite";
})(ExistsAction = exports.ExistsAction || (exports.ExistsAction = {}));
var NoParentAction;
(function (NoParentAction) {
    NoParentAction["Error"] = "error";
    NoParentAction["MakeParents"] = "make_parents";
})(NoParentAction = exports.NoParentAction || (exports.NoParentAction = {}));
exports.DEFAULT_BUFFER_SIZE = 96 * 1024;
//# sourceMappingURL=core.js.map